<!DOCTYPE html>
<!--依赖Bootstrap4.0和Jquery3.2.1-->
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<html>
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device initial-scale=1,shrink-to-fit=no" >
    <meta name="template" content="album static web page">
    <meta name="author" content="https://gitee.com/PirateFlag">

    <link rel="icon" href="">
    <title>推流工具</title>

    <!-- 引入 Bootstrap -->
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet">
    <!--Custom CSS,目前没有使用到，计划用于微调位置-->
    <link rel="stylesheet" href="album.css">
  </head>
  <body>
    <%--<header>
      <nav>
      <!--class表示属性，id表示具体，同时下划线命名法-->

      <!--下拉内容-->
      &lt;%&ndash;<div class="collapse navbar-collapse bg-dark" id="navbar_header">
        <div class="container">
          <div class="row">
            <div class="col-sm-8 col-md-7 py-4">
              <h4 class="text-white">详细介绍</h4>
              <p class="text-muted">可以向相册加入信息,作者名称背景等,然后分享到社交网络上,目前仅仅是静态页面</p>
            </div>
            <!--col-sm-4 offset-md-1 py-4使用的是bootstrap的栅格偏移系统，用于适配不同页面-->
            <div class="col-sm-4 offset-md-1 py-4">
              <h4>联系作者</h4>
              <ul class="list-unstyled">
                <li><a href="#" class="text-white" title="277625446">通过QQ联系</a></li>
                <li><a href="https://gitee.com/PirateFlag" class="text-white" title="PirateFlag">通过码云联系</a></li>
                <li><a href="https://github.com/athanasiaorange" class="text-white" title="athanasiaorange">通过Github联系</a></li>
              </ul>
            </div>
          </div>
        </div>
      </div>&ndash;%&gt;

      <!--标志内容-->
      <div class="navbar navbar-dark bg-dark box-shadow">
        <div class="container d-flex justify-content-between">
          <!--主页logo-->
          &lt;%&ndash;<a href="#" class="navbar-brand d-flex">
            <!--引用一只来自外部的svg图像，你也可以更换成自己的图像,这是适配页面的矢量图-->
            <svg xmlns="http://www.w3.org/200/svg" width="35" height="35" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" class="mr-2">
              <path xmlns="http://www.w3.org/2000/svg" d="M 23 19 a 2 2 0 0 1 -2 2 H 3 a 2 2 0 0 1 -2 -2 V 8 a 2 2 0 0 1 2 -2 h 4 l 2 -3 h 6 l 2 3 h 4 a 2 2 0 0 1 2 2 Z">
              </path>
              <circle cx="12" cy="13" r="4"></circle>
            </svg>
            <strong>我的相册</strong>
          </a>&ndash;%&gt;
          <!--搜索框-->
          <!-- <div class="form-group">
            <label for=""></label>
            <input type="text" name="" id="" class="form-control" placeholder="" aria-describedby="helpId">
            <small id="helpId" class="text-muted">Help text</small>
          </div> -->
          <!--按钮内容-->
          <button class="navbar-toggler collapsed" type="button" data-toggle="collapse" data-target="#navbar_header">
            <span class="navbar-toggler-icon"></span>
          </button>
        </div>
      </div>
    </nav>
    </header>--%>

    <div role="">
      <!--主要介绍-->
      <div class="container-fluid" style="height: 150px;">
        <div class="row" style="margin-top: 25px">
          <%--<div class="col-md-6">
            <select type="" class="form-control" id="selectV"  >
              <option value="0">请选择</option>
              &lt;%&ndash;<option value="tcp://106.15.120.154:1883">测试环境</option>
              <option value="tcp://192.168.11.22:1883">开发环境</option>&ndash;%&gt;
            </select>

          </div>--%>
          <%--<div class="col-md-3">
            <input type="text" class="form-control" id="clientId"  placeholder="请输入客户端id">
          </div>
          <button type="" class="btn btn-success" onclick="selectV()" style="">切换</button>--%>

          <label class="remoteclass" style="margin-left: 10%;font-size: 22px;color: #010101">推流服务状态:</label>
            <label class="tstatus" style="margin-left: 1%;font-size: 12px;color: green">..</label>
          <%--<a href="#" class="btn btn-primary my-2">主要跳转按钮</a>
          <a href="#" class="btn btn-warning my-2">次要跳转按钮</a>--%>
        </div>
        <%--<div class="row" style="margin-top: 25px">
          <div class="col-md-6">
            <input type="text" class="form-control" id="subAdd1"  placeholder="请输入订阅">
          </div>
          <div class="col-md-1">
            <input type="text" class="form-control" id="pxAdd1"  placeholder="请输入排序">
          </div>
          <button type="" class="btn btn-success" onclick="subAdd1()" style="">提交</button>

          &lt;%&ndash;<button type="" class="btn btn-success" onclick="loadSubList()" style="margin-left: 20%">订阅列表</button>&ndash;%&gt;
          &lt;%&ndash;<a href="#" class="btn btn-primary my-2">主要跳转按钮</a>
          <a href="#" class="btn btn-warning my-2">次要跳转按钮</a>&ndash;%&gt;
        </div>--%>
        <div class="row" style="margin-right: 25px">
          <div class="col-md-1" style="margin-left: 70%">
              <button type="" class="btn btn-success" onclick="restart()" >重新推流</button>
          </div>
          <div class="col-md-1">
            <button type="" class="btn btn-danger" onclick="stop()" >停止推流</button>
          </div>
         </div>
      </div>

      <div class="" >
        <div class="container-fluid">

          <!--单个流卡-->
          <div class="row">
          <div class="col-md-12">
            <!--使用card式布局-->
            <div class="card mb-12 box-shadow">
              <div class="card body">
                <%--<h5 class="card-title">订阅</h5>--%>
                <%--<a href="#" onclick="subAll()" class="btn btn-success my-2" style="float: right">全部订阅</a>--%>
                <div class="d-flex justify-content-between aligin-item-center">
                  <table id="reportTable1" class="table table-bordered table-condensed">
                    <thead>
                    <th width="10%" style="display:none;">id</th><th width="10%">任务名称</th><th width="60%">指令</th><th width="10%">备注</th><th width="10%" colspan="2">操作</th>
                    </thead>
                    <tbody id="subTr">
                    </tbody>
                    <tfoot>

                    </tfoot>
                  </table>
                </div>
              </div>
            </div>
          </div>
            <div class="col-md-6" style="height:800px !important;overflow: auto">
              <!--使用card式布局-->
              <div class="card mb-4 box-shadow">
                <div class="card body" style="background-color: #c2bded">
                  <h5 class="card-title"></h5>
                  <div class="col-md-12 classmsg" >
                    <%--<div style="background-color: green" class="col-md-12"><span>sdfa</span><pre style='white-space: pre-wrap;'>啊手动阀 </pre></div>
                    <div class="col-md-12"><pre style='white-space: pre-wrap;'> 啊手动阀</pre></div>
                    <small class="text-muted"></small>--%>
                  </div>
                </div>
              </div>
            </div>

          </div>
        </div>
      </div>

    </div>
    <footer class="text-muted">
      <div class="container">
        <p class="float-right">
          <a href="#">回到顶部</a>
        </p>
        <p></p>
      </div>
    </footer>

    <script src="http://code.jquery.com/jquery-2.1.4.min.js"></script>
   <!--popper的CDN依赖-->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <!-- 最新的 Bootstrap 核心 JavaScript 文件 -->
    <script src="https://cdn.staticfile.org/twitter-bootstrap/3.3.7/js/bootstrap.min.js"></script>

  </body>

  <!-- 模态框（Modal） -->
  <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="height: 500px;scroll:auto ">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
          <h4 class="modal-title" id="myModalLabel">模态框（Modal）标题</h4>
        </div>
        <div class="modal-body" >
          <table class="table" >
            <thead>
            <tr>
              <th>主题</th><th>Qos</th><th>节点</th>
            </tr>
            </thead>
            <tbody id="Subtable">

            </tbody>
          </table>

        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default" data-dismiss="modal">关闭</button>

        </div>
      </div><!-- /.modal-content -->
    </div><!-- /.modal -->

  </div>

  <script>

    $(function () {
      indexMsg();
      window.setInterval(indexMsg,2000)
    })
    //重新推流
    function  restart(){
      $.ajax({
        type:"get",
        url:"/start",
        //data:{"checkName":$("#userName").val()},     //以键值对的方式传数据到后台 Servlet
        dataType:"json",
        success:function(mydata){
          if (mydata=="success") {
            alert("操作成功！");          //获取回调值mydata中数据：mydata.键《find》------>的值表示方法          该回调函数值mydata可以是JSON格式的：对象或者数组
//                console.log(mydata.find);
          }else{
            alert("操作失败！");
          }
        }
      });
    }
    //停止推流
    function  stop(){
      $.ajax({
        type:"get",
        url:"/stop",
        //data:{"checkName":$("#userName").val()},     //以键值对的方式传数据到后台 Servlet
        dataType:"json",
        success:function(mydata){
          if (mydata=="success") {
            alert("操作成功！");          //获取回调值mydata中数据：mydata.键《find》------>的值表示方法          该回调函数值mydata可以是JSON格式的：对象或者数组
//                console.log(mydata.find);
          }else{
            alert("操作失败！");
          }
        }
      });
    }
    function indexMsg() {
      $.ajax({
        type: "post",
        url: "/status",
        dataType: "json",
        contentType: 'application/json',
        cache: false,
        success: function (mydata) {
              $(".tstatus").html(mydata.msg);
              if (mydata.status==1) {
                var ex01 = mydata.name == null ? "" : mydata.name;
                var ex02 = mydata.cmd == null ? "" : mydata.cmd;
               var str="<tr class=\"info\">" +
                        "<td style='background-color: #d3e4db'><label >"+ex01+"</label>" +
                        "<td style='background-color: #d3e4db'><label >"+ex02+"</label>" +
                       "<td style='background-color: #d3e4db'><label ></label>" +
                        /*"<td><button class='btn-success' onclick='subsave(this)'>保存</button><button class='btn-danger' onclick='delsave(this)'>删除</button></td>" +*/
                        "</tr>";
                $("#subTr").html(str);
              }else {
                $("#subTr").html("");
              }



        }
      })
    }

    function selectV() {
      $.ajax({
        type: "post",
        url: "/connectMqtt",
        data: JSON.stringify({"ip":$("#selectV").val(),"clientId":$("#clientId").val()}),
        dataType: "json",
        contentType: 'application/json',
        cache: false,
        success: function (mydata) {

          if (mydata=="success"){
            alert("连接成功！")
            window.location.reload();
          }else{
            alert("连接失败！")
          }
        }
      })
    }

function loadSubList() {
      $("#myModal").modal("show");
  $.ajax({
    type: "post",
    url: "/doGetSub",
    data: JSON.stringify({"ip":$("#selectV").val()}),
    dataType: "json",
    contentType: 'application/json',
    cache: false,
    success: function (mydata) {
      var substr="";
      if (mydata.length>0){
        var obj= JSON.parse(mydata);
        for (var i = 0; i < obj.data.length; i++) {
          substr+="<tr><td>"+obj.data[i].topic+"</td><td>"+obj.data[i].qos+"</td><td>"+obj.data[i].node+"</td></tr>";
        }
        $("#Subtable").html(substr);
      }else{
        alert("连接失败！")
      }
    }
  })
}

    function remote() {

      $.ajax({
        type: "get",
        url: "/getRemote",
        //data: JSON.stringify({"sub":$("#subAdd1").val(),"ex03":$("#pxAdd1").val()}),     //以键值对的方式传数据到后台 Servlet
        //dataType: "json",
        contentType: 'application/json',
        cache: false,
        success: function (mydata) {
          if (mydata!=null){
            $(".remoteclass").html(mydata.ex01)
            $("#selectV").val(mydata.url)
          }
        }
      })
    }

    function remoteloadSelect() {
      $.ajax({
        type: "get",
        url: "/getAllRemote",
        //data: JSON.stringify({"sub":$("#subAdd1").val(),"ex03":$("#pxAdd1").val()}),     //以键值对的方式传数据到后台 Servlet
        //dataType: "json",
        contentType: 'application/json',
        cache: false,
        success: function (mydata) {
          if (mydata!=null){
            var str="";
            var urls ="";
            for (var i = 0; i < mydata.length; i++) {
              str+="<option value=\""+mydata[i].url+"\">"+mydata[i].ex01+"</option>";
              if(mydata[i].status=="1"){
                urls=mydata[i].url;
              }
            }
            $("#selectV").html(str);
            $("#selectV").val(urls)
          }
        }
      })
    }
  </script>
</html>